Page MenuHomePhabricator

CX2: Doesn't handle correctly ISBN, should not put nowiki tags around them
Closed, ResolvedPublic

Description

CX2 should handle correctly ISBN rather than putting nowiki tags around them, either with the ISBN template, or just plain text (and letting MediaWiki do the magic links if it's configured to do so)

Example

Example on frwiki "Conservation russe" : original translation, manual fix

When translating Русская беседа from Russian to French. The bibliography section has an ISBN code in the original article that is presented in different ways: in the original article it is shown as an "ISBN Link" in Visual Editor, and as plain text "ISBN 978-5-211-05327-4." string in wikitext. In Content translation it is rendered as a regular link for the source document and adapted as an empty link in the translation. Finally, when the translation is published, it results in "<nowiki>ISBN 978-5-211-05327-4</nowiki>".

Empty link shown when added to the translation:

Link on the source document:

__
Related:

Event Timeline

NicoV created this task.Jan 9 2019, 10:40 AM
Restricted Application added subscribers: jeblad, Aklapper. · View Herald TranscriptJan 9 2019, 10:40 AM
Pginer-WMF triaged this task as Normal priority.Jan 24 2019, 5:17 PM
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.
Pginer-WMF updated the task description. (Show Details)Mar 4 2019, 10:26 AM
Cirdan added a subscriber: Cirdan.Mar 6 2019, 12:13 PM
Pginer-WMF updated the task description. (Show Details)Jun 10 2019, 3:07 PM
santhosh claimed this task.Tue, Sep 3, 6:28 AM

Change 534011 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Add ISBN support

https://gerrit.wikimedia.org/r/534011

Change 534011 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Add ISBN support

https://gerrit.wikimedia.org/r/534011

Change 534427 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2019-09-04-065911-production

https://gerrit.wikimedia.org/r/534427

Change 534427 merged by KartikMistry:
[operations/deployment-charts@master] Update cxserver to 2019-09-04-065911-production

https://gerrit.wikimedia.org/r/534427

Mentioned in SAL (#wikimedia-operations) [2019-09-05T06:44:05Z] <kart_> Updated cxserver to 2019-09-04-065911-production (T213255, T206310)

Jpita closed this task as Resolved.Tue, Sep 10, 3:58 AM
Jpita moved this task from Needs QA to Done on the Language-Team (Language-2019-July-September) board.
Jpita added subscribers: Pginer-WMF, Jpita.

@Pginer-WMF should we move the related tasks to done as well?

@Pginer-WMF should we move the related tasks to done as well?

I'd suggest doing the following:

  • If they provide an example that can be reproduced, test them and close them if they are solved
  • If they just complain about lack of ISBN support without anything else actionable, close them mentioning we improved the support in this ticket.
NicoV added a comment.Tue, Sep 10, 7:46 AM

Hi.
Is it in production? Meaning, if we see problems with new translations, it means the fix is not complete?

Hi.
Is it in production? Meaning, if we see problems with new translations, it means the fix is not complete?

I assume it is in production already, but @KartikMistry can confirm whether all the code for this was deployed. However, it is possible that a translation was started before the fix, the ISBNs were not properly handled when added to the translation, and the translation gets published after the fix. So the relevant translations to check are those started after the fix (not just those published after). In any case, feel free to report problematic instances and we can check when those were created and investigate further.

NicoV added a comment.Tue, Sep 10, 8:07 AM

For example, T217585 seems to happen still, I've added a recent example